Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.model.workflow
Interface DMSEntityValue

public interface DMSEntityValue

The `DMSEntityValue` interface can either reference a single document or an array of `DMSObject`s inside a folder. The `DMSObject`(s) are referenced as a `String` name and an integer type.

Access to the contents of a folder is provided in the form of two arrays: an array of `String`s and an array of integers. The `String` array indicates the names of the folder's contents, and the array of integers specifies whether each entity is a file or a folder.``

The position of the name of a folder element in the `String` array is the same as the position of the folder element's type value in the integer array. The integers are:

- `File=0`
- `DIRECTORY=1`

Note that although the name of this interface is not a plural, it often returns an array of values. In addition, the `getType` method works slightly differently when retrieving a single document.

A `DMSEntityValue` is normally not constructed but returned by the `DMS` interface using methods like `DMS.getFolderContents`, `DMS.getRootFolderContents`, or `DMS.getUserFolderContents`.

See Also:
  `DMS`, `DMSObject`

Method Summary
`java.lang.String[]` | `getNames()` Returns the names of elements (files or folders) in the corresponding directory.
`int[]` | `getTypes()` Returns the types of elements in the corresponding directory.

Method Detail

### getNames

    public java.lang.String[] getNames()

  Returns the names of elements (files or folders) in the corresponding directory. If there are no elements in the directory an empty array is returned.

  If this `DMSEntityValue` references a single document, rather than the contents of a folder, `getNames` returns the document's file name. Returns an empty array if this `DMSEntityValue` does not contain any files or folders.

  Returns:
    Names of elements in the regarding folder.

### getTypes

    public int[] getTypes()

  Returns the types of elements in the corresponding directory. The returned integer array determine whether the entities in the directory are files or folders (FILE = 0, DIRECTORY = 1). If there are no elements in the directory an empty array is returned.

  If this `DMSEntityValue` references a single document rather than the contents of a folder, `getTypes` returns the document's ID, as assigned by the `DMSAdapter` interface. Returns an empty array if this `DMSEntityValue` does not contain any files or folders.

  Returns:
    Types of elements in the regarding folder.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD